---
title: ':placeholder-shown'
slug: 'Web/CSS/:placeholder-shown'
tags:
  - ':placeholder-shown'
  - CSS
  - Pseudo-class
  - Reference
  - Selector
---
<div>{{CSSRef}}</div>

<p>The <strong><code>:placeholder-shown</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> represents any {{HTMLElement("input")}} or {{HTMLElement("textarea")}} element that is currently displaying <a href="/en-US/docs/Web/HTML/Element/input#attr-placeholder">placeholder text</a>.</p>

<pre class="brush: css no-line-numbers notranslate">/* Selects any element with an active placeholder */
:placeholder-shown {
  border: 2px solid silver;
}</pre>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_example">Basic example</h3>

<p>This example applies special font and border styles when the placeholder is shown.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;input placeholder="Type something here!"&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">input {
  border: 1px solid black;
  padding: 3px;
}

input:placeholder-shown {
  border-color: teal;
  color: purple;
  font-style: italic;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Basic_example", 200, 80)}}</p>

<h3 id="Overflowing_text">Overflowing text</h3>

<p>When form fields are too small, placeholder text can get cropped in an undesirable way. You can use the {{cssxref("text-overflow")}} property to alter the way overflowing text is displayed.</p>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;input id="input1" placeholder="Name, Rank, and Serial Number"&gt;
&lt;br&gt;&lt;br&gt;
&lt;input id="input2" placeholder="Name, Rank, and Serial Number"&gt;</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush: css notranslate">#input2:placeholder-shown {
  text-overflow: ellipsis;
}</pre>

<h4 id="Result_2">Result</h4>

<p>{{EmbedLiveSample("Overflowing_text", 200, 80)}}</p>

<h3 id="Customized_input_field">Customized input field</h3>

<p>The following example highlights the Branch and ID code fields with a custom style.</p>

<h4 id="HTML_3">HTML</h4>

<pre class="brush: html notranslate">&lt;form id="test"&gt;
  &lt;p&gt;
    &lt;label for="name"&gt;Enter Student Name:&lt;/label&gt;
    &lt;input id="name" placeholder="Student Name"/&gt;
  &lt;/p&gt;
  &lt;p&gt;
    &lt;label for="branch"&gt;Enter Student Branch:&lt;/label&gt;
    &lt;input id="branch" placeholder="Student Branch"/&gt;
  &lt;/p&gt;
  &lt;p&gt;
    &lt;label for="sid"&gt;Enter Student ID:&lt;/label&gt;
    &lt;input type="number" pattern="[0-9]{8}" title="8 digit ID" id="sid" class="studentid" placeholder="8 digit id"/&gt;
  &lt;/p&gt;
  &lt;input type="submit"/&gt;
&lt;/form&gt;</pre>

<h4 id="CSS_3">CSS</h4>

<pre class="brush: css; highlight[6] notranslate">input {
  background-color: #E8E8E8;
  color: black;
}

input.studentid:placeholder-shown {
  background-color: yellow;
  color: red;
  font-style: italic;
}</pre>

<h4 id="Result_3">Result</h4>

<p>{{EmbedLiveSample("Customized_input_field", 200, 180)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Selectors", "#placeholder", ":placeholder-shown")}}</td>
   <td>{{Spec2("CSS4 Selectors")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.placeholder-shown")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{CSSxRef("::placeholder")}} pseudo-element styles the placeholder <em>itself</em>.</li>
 <li>Related HTML elements: {{HTMLElement("input")}}, {{HTMLElement("textarea")}}</li>
 <li><a href="/en-US/docs/Learn/HTML/Forms">HTML forms</a></li>
</ul>
